"use strict";

function MessageHeader() {
this.msgId = 0;
this.version = 0;
this.msgType = 1;
this.msgBodyLen = 0;
this.encryptType = 0;
this.gameId = 0;
MessageHeader.prototype.getMsgId = function() {
return this.msgId;
};
MessageHeader.prototype.getBodyLen = function() {
return this.msgBodyLen;
};
MessageHeader.prototype.getLength = function() {
return 18;
};
MessageHeader.prototype.encode = function(e) {
e.writeUint32(this.msgId);
e.writeUint32(this.version);
e.writeUint16(this.msgType);
e.writeUint16(this.msgBodyLen);
e.writeUint16(this.encryptType);
e.writeUint32(this.gameId);
return e;
};
MessageHeader.prototype.decode = function(e) {
this.msgId = e.readUint32();
this.version = e.readUint32();
this.msgType = e.readUint16();
this.msgBodyLen = e.readUint16();
this.encryptType = e.readUint16();
this.gameId = e.readUint32();
return !0;
};
}

window.MessageHeader = MessageHeader;