"use strict";

function WsClient() {
this.ws = null;
this.url = "";
this.evtTarget = null;
this.evtHandler = {};
this.isWsUseFileReader = globalparams.get("isWsUseFileReader");
this.userCertUrl = globalparams.get("wsCertUrl");
WsClient.prototype.connect = function(e, t) {
if (null != this.ws) {
this.ws.close(3001, "");
this.ws.onopen = null;
this.ws.onclose = null;
this.ws.onmessage = null;
this.ws.onerror = null;
this.ws = null;
}
this.url = e;
if (null == t) if ("VIVO_QG" == globalparams.get("platType")) this.ws = qg.createWebSocket({
url: e,
protocols: [ "protocols1" ]
}); else if ("OPPO_QG" == globalparams.get("platType") && this.userCertUrl) this.ws = new WebSocket(this.url, [], this.userCertUrl); else if ("QQPLAY" == globalparams.get("platType")) {
console.log("new bk websocket");
this.ws = new BK.WebSocket(this.url);
} else this.ws = new WebSocket(this.url); else this.ws = t(this.url);
var l = this;
if ("QQPLAY" == globalparams.get("platType")) {
console.log("wsclient set qqplay callback");
this.ws.onOpen = function(e) {
console.log("wsclient  qqplay callback onOpen", e);
null != l.evtTarget ? l.evtHandler.on_open.call(l.evtTarget) : l.evtHandler.on_open();
};
this.ws.onClose = function(e) {
console.log("wsclient  qqplay callback onClose", JSON.stringify(e));
null != l.evtTarget ? l.evtHandler.on_close.call(l.evtTarget, e.code) : l.evtHandler.on_close(e.code);
};
this.ws.onMessage = function(e, t) {
var s = s || null;
if (null == s) if (null != l.evtTarget) l.evtHandler.on_message.call(l.evtTarget, t.data); else if (l.isWsUseFileReader) {
(o = new FileReader()).onload = function() {
l.ws.readyState == WebSocket.OPEN && (null != l.evtTarget ? l.evtHandler.on_message.call(l.evtTarget, this.result) : l.evtHandler.on_message(this.result));
};
o.readAsArrayBuffer(t.data);
} else if (t.isBinary) {
var a = t.data;
a.rewind();
for (var n = new ArrayBuffer(a.length), r = new DataView(n); !a.eof; ) r.setUint8(a.pointer, a.readUint8Buffer());
l.evtHandler.on_message(n);
} else console.log("BK.WebSocket data type is not binary"); else if (s.sys.isNative) null != l.evtTarget ? l.evtHandler.on_message.call(l.evtTarget, t.data) : l.evtHandler.on_message(t.data); else if (l.isWsUseFileReader) {
var o;
(o = new FileReader()).readAsArrayBuffer(t.data);
o.onload = function() {
l.ws.readyState == WebSocket.OPEN && (null != l.evtTarget ? l.evtHandler.on_message.call(l.evtTarget, this.result) : l.evtHandler.on_message(this.result));
};
} else l.ws.readyState == WebSocket.OPEN && (null != l.evtTarget ? l.evtHandler.on_message.call(l.evtTarget, t.data) : l.evtHandler.on_message(t.data));
};
this.ws.onError = function(e) {
console.log("wsclient  qqplay callback onError", JSON.stringify(e));
var t = l.evtHandler.on_error;
t && (null != l.evtTarget ? t.call(l.evtTarget, e) : t(e));
this.close();
};
} else {
console.log("wsclient other callback");
this.ws.onopen = function(e) {
null != l.evtTarget ? l.evtHandler.on_open.call(l.evtTarget) : l.evtHandler.on_open();
};
this.ws.onclose = function(e) {
null != l.evtTarget ? l.evtHandler.on_close.call(l.evtTarget, e.code) : l.evtHandler.on_close(e.code);
};
this.ws.onmessage = function(e) {
var t = t || null;
if (null == t) if (null != l.evtTarget) l.evtHandler.on_message.call(l.evtTarget, e.data); else if (l.isWsUseFileReader) {
(s = new FileReader()).readAsArrayBuffer(e.data);
s.onload = function() {
l.ws.readyState == WebSocket.OPEN && (null != l.evtTarget ? l.evtHandler.on_message.call(l.evtTarget, this.result) : l.evtHandler.on_message(this.result));
};
} else l.evtHandler.on_message(e.data); else if (t.sys.isNative) null != l.evtTarget ? l.evtHandler.on_message.call(l.evtTarget, e.data) : l.evtHandler.on_message(e.data); else if (l.isWsUseFileReader) {
var s;
(s = new FileReader()).readAsArrayBuffer(e.data);
s.onload = function() {
l.ws.readyState == WebSocket.OPEN && (null != l.evtTarget ? l.evtHandler.on_message.call(l.evtTarget, this.result) : l.evtHandler.on_message(this.result));
};
} else l.ws.readyState == WebSocket.OPEN && (null != l.evtTarget ? l.evtHandler.on_message.call(l.evtTarget, e.data) : l.evtHandler.on_message(e.data));
};
this.ws.onerror = function(e) {
var t = l.evtHandler.on_error;
t && (null != l.evtTarget ? t.call(l.evtTarget, e) : t(e));
this.close();
};
}
};
WsClient.prototype.close = function(e, t) {
console.log("WsClient.close", e, t, this.ws, null != this.ws);
e = e || 1e3;
t = t || "unknow";
if (null != this.ws) {
console.log("WsClient == null");
this.ws.close(e, t);
}
};
WsClient.prototype.setEvtTarget = function(e) {
this.evtTarget = e;
};
WsClient.prototype.setEvtHandler = function(e, t) {
this.evtHandler[e] = t;
};
WsClient.prototype.send = function(e) {
if (null == this.ws) return !1;
if (this.ws.readyState == WebSocket.OPEN) {
this.ws.send(e);
return !0;
}
return !1;
};
WsClient.prototype.getState = function() {
return null == this.ws ? "closed" : this.ws.readyState == WebSocket.OPEN ? "open" : this.ws.readyState == WebSocket.CLOSED ? "closed" : this.ws.readyState == WebSocket.CLOSING ? "closeing" : "closed";
};
}

window.WsClient = WsClient;