"use strict";

var $protobuf = protobuf, $Reader = $protobuf.Reader, $Writer = $protobuf.Writer, $util = $protobuf.util, $root = $protobuf.roots.default || ($protobuf.roots.default = {});

$root.login = function() {
var e = {};
e.CheckTokenReq = function() {
function e(e) {
if (e) for (var n = Object.keys(e), t = 0; t < n.length; ++t) null != e[n[t]] && (this[n[t]] = e[n[t]]);
}
e.prototype.appId = 0;
e.prototype.channelId = 0;
e.prototype.extension = $util.newBuffer([]);
e.prototype.sign = "";
e.prototype.logId = "";
e.prototype.clientVersion = "";
e.prototype.serverVersion = "";
e.prototype.subChannelId = "";
e.prototype.extra = "";
e.create = function(n) {
return new e(n);
};
e.encode = function(e, n) {
n || (n = $Writer.create());
null != e.appId && e.hasOwnProperty("appId") && n.uint32(8).int32(e.appId);
null != e.channelId && e.hasOwnProperty("channelId") && n.uint32(16).int32(e.channelId);
null != e.extension && e.hasOwnProperty("extension") && n.uint32(26).bytes(e.extension);
null != e.sign && e.hasOwnProperty("sign") && n.uint32(34).string(e.sign);
null != e.logId && e.hasOwnProperty("logId") && n.uint32(42).string(e.logId);
null != e.clientVersion && e.hasOwnProperty("clientVersion") && n.uint32(50).string(e.clientVersion);
null != e.serverVersion && e.hasOwnProperty("serverVersion") && n.uint32(58).string(e.serverVersion);
null != e.subChannelId && e.hasOwnProperty("subChannelId") && n.uint32(66).string(e.subChannelId);
null != e.extra && e.hasOwnProperty("extra") && n.uint32(74).string(e.extra);
return n;
};
e.encodeDelimited = function(e, n) {
return this.encode(e, n).ldelim();
};
e.decode = function(e, n) {
e instanceof $Reader || (e = $Reader.create(e));
for (var t = void 0 === n ? e.len : e.pos + n, r = new $root.login.CheckTokenReq(); e.pos < t; ) {
var o = e.uint32();
switch (o >>> 3) {
case 1:
r.appId = e.int32();
break;

case 2:
r.channelId = e.int32();
break;

case 3:
r.extension = e.bytes();
break;

case 4:
r.sign = e.string();
break;

case 5:
r.logId = e.string();
break;

case 6:
r.clientVersion = e.string();
break;

case 7:
r.serverVersion = e.string();
break;

case 8:
r.subChannelId = e.string();
break;

case 9:
r.extra = e.string();
break;

default:
e.skipType(7 & o);
}
}
return r;
};
e.decodeDelimited = function(e) {
e instanceof $Reader || (e = new $Reader(e));
return this.decode(e, e.uint32());
};
e.verify = function(e) {
return "object" != typeof e || null === e ? "object expected" : null != e.appId && e.hasOwnProperty("appId") && !$util.isInteger(e.appId) ? "appId: integer expected" : null != e.channelId && e.hasOwnProperty("channelId") && !$util.isInteger(e.channelId) ? "channelId: integer expected" : null != e.extension && e.hasOwnProperty("extension") && !(e.extension && "number" == typeof e.extension.length || $util.isString(e.extension)) ? "extension: buffer expected" : null != e.sign && e.hasOwnProperty("sign") && !$util.isString(e.sign) ? "sign: string expected" : null != e.logId && e.hasOwnProperty("logId") && !$util.isString(e.logId) ? "logId: string expected" : null != e.clientVersion && e.hasOwnProperty("clientVersion") && !$util.isString(e.clientVersion) ? "clientVersion: string expected" : null != e.serverVersion && e.hasOwnProperty("serverVersion") && !$util.isString(e.serverVersion) ? "serverVersion: string expected" : null != e.subChannelId && e.hasOwnProperty("subChannelId") && !$util.isString(e.subChannelId) ? "subChannelId: string expected" : null != e.extra && e.hasOwnProperty("extra") && !$util.isString(e.extra) ? "extra: string expected" : null;
};
e.fromObject = function(e) {
if (e instanceof $root.login.CheckTokenReq) return e;
var n = new $root.login.CheckTokenReq();
null != e.appId && (n.appId = 0 | e.appId);
null != e.channelId && (n.channelId = 0 | e.channelId);
null != e.extension && ("string" == typeof e.extension ? $util.base64.decode(e.extension, n.extension = $util.newBuffer($util.base64.length(e.extension)), 0) : e.extension.length && (n.extension = e.extension));
null != e.sign && (n.sign = String(e.sign));
null != e.logId && (n.logId = String(e.logId));
null != e.clientVersion && (n.clientVersion = String(e.clientVersion));
null != e.serverVersion && (n.serverVersion = String(e.serverVersion));
null != e.subChannelId && (n.subChannelId = String(e.subChannelId));
null != e.extra && (n.extra = String(e.extra));
return n;
};
e.toObject = function(e, n) {
n || (n = {});
var t = {};
if (n.defaults) {
t.appId = 0;
t.channelId = 0;
if (n.bytes === String) t.extension = ""; else {
t.extension = [];
n.bytes !== Array && (t.extension = $util.newBuffer(t.extension));
}
t.sign = "";
t.logId = "";
t.clientVersion = "";
t.serverVersion = "";
t.subChannelId = "";
t.extra = "";
}
null != e.appId && e.hasOwnProperty("appId") && (t.appId = e.appId);
null != e.channelId && e.hasOwnProperty("channelId") && (t.channelId = e.channelId);
null != e.extension && e.hasOwnProperty("extension") && (t.extension = n.bytes === String ? $util.base64.encode(e.extension, 0, e.extension.length) : n.bytes === Array ? Array.prototype.slice.call(e.extension) : e.extension);
null != e.sign && e.hasOwnProperty("sign") && (t.sign = e.sign);
null != e.logId && e.hasOwnProperty("logId") && (t.logId = e.logId);
null != e.clientVersion && e.hasOwnProperty("clientVersion") && (t.clientVersion = e.clientVersion);
null != e.serverVersion && e.hasOwnProperty("serverVersion") && (t.serverVersion = e.serverVersion);
null != e.subChannelId && e.hasOwnProperty("subChannelId") && (t.subChannelId = e.subChannelId);
null != e.extra && e.hasOwnProperty("extra") && (t.extra = e.extra);
return t;
};
e.prototype.toJSON = function() {
return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
};
return e;
}();
e.CheckTokenRsp = function() {
function e(e) {
if (e) for (var n = Object.keys(e), t = 0; t < n.length; ++t) null != e[n[t]] && (this[n[t]] = e[n[t]]);
}
e.prototype.resultCode = "";
e.prototype.resultMsg = "";
e.prototype.userBasicInfo = null;
e.prototype.extra = "";
e.prototype.newFlg = !1;
e.prototype.serverTime = $util.Long ? $util.Long.fromBits(0, 0, !1) : 0;
e.create = function(n) {
return new e(n);
};
e.encode = function(e, n) {
n || (n = $Writer.create());
null != e.resultCode && e.hasOwnProperty("resultCode") && n.uint32(10).string(e.resultCode);
null != e.resultMsg && e.hasOwnProperty("resultMsg") && n.uint32(18).string(e.resultMsg);
null != e.userBasicInfo && e.hasOwnProperty("userBasicInfo") && $root.login.common.UserBasicInfoP.encode(e.userBasicInfo, n.uint32(26).fork()).ldelim();
null != e.extra && e.hasOwnProperty("extra") && n.uint32(34).string(e.extra);
null != e.newFlg && e.hasOwnProperty("newFlg") && n.uint32(40).bool(e.newFlg);
null != e.serverTime && e.hasOwnProperty("serverTime") && n.uint32(48).int64(e.serverTime);
return n;
};
e.encodeDelimited = function(e, n) {
return this.encode(e, n).ldelim();
};
e.decode = function(e, n) {
e instanceof $Reader || (e = $Reader.create(e));
for (var t = void 0 === n ? e.len : e.pos + n, r = new $root.login.CheckTokenRsp(); e.pos < t; ) {
var o = e.uint32();
switch (o >>> 3) {
case 1:
r.resultCode = e.string();
break;

case 2:
r.resultMsg = e.string();
break;

case 3:
r.userBasicInfo = $root.login.common.UserBasicInfoP.decode(e, e.uint32());
break;

case 4:
r.extra = e.string();
break;

case 5:
r.newFlg = e.bool();
break;

case 6:
r.serverTime = e.int64();
break;

default:
e.skipType(7 & o);
}
}
return r;
};
e.decodeDelimited = function(e) {
e instanceof $Reader || (e = new $Reader(e));
return this.decode(e, e.uint32());
};
e.verify = function(e) {
if ("object" != typeof e || null === e) return "object expected";
if (null != e.resultCode && e.hasOwnProperty("resultCode") && !$util.isString(e.resultCode)) return "resultCode: string expected";
if (null != e.resultMsg && e.hasOwnProperty("resultMsg") && !$util.isString(e.resultMsg)) return "resultMsg: string expected";
if (null != e.userBasicInfo && e.hasOwnProperty("userBasicInfo")) {
var n = $root.login.common.UserBasicInfoP.verify(e.userBasicInfo);
if (n) return "userBasicInfo." + n;
}
return null != e.extra && e.hasOwnProperty("extra") && !$util.isString(e.extra) ? "extra: string expected" : null != e.newFlg && e.hasOwnProperty("newFlg") && "boolean" != typeof e.newFlg ? "newFlg: boolean expected" : null != e.serverTime && e.hasOwnProperty("serverTime") && !($util.isInteger(e.serverTime) || e.serverTime && $util.isInteger(e.serverTime.low) && $util.isInteger(e.serverTime.high)) ? "serverTime: integer|Long expected" : null;
};
e.fromObject = function(e) {
if (e instanceof $root.login.CheckTokenRsp) return e;
var n = new $root.login.CheckTokenRsp();
null != e.resultCode && (n.resultCode = String(e.resultCode));
null != e.resultMsg && (n.resultMsg = String(e.resultMsg));
if (null != e.userBasicInfo) {
if ("object" != typeof e.userBasicInfo) throw TypeError(".login.CheckTokenRsp.userBasicInfo: object expected");
n.userBasicInfo = $root.login.common.UserBasicInfoP.fromObject(e.userBasicInfo);
}
null != e.extra && (n.extra = String(e.extra));
null != e.newFlg && (n.newFlg = Boolean(e.newFlg));
null != e.serverTime && ($util.Long ? (n.serverTime = $util.Long.fromValue(e.serverTime)).unsigned = !1 : "string" == typeof e.serverTime ? n.serverTime = parseInt(e.serverTime, 10) : "number" == typeof e.serverTime ? n.serverTime = e.serverTime : "object" == typeof e.serverTime && (n.serverTime = new $util.LongBits(e.serverTime.low >>> 0, e.serverTime.high >>> 0).toNumber()));
return n;
};
e.toObject = function(e, n) {
n || (n = {});
var t = {};
if (n.defaults) {
t.resultCode = "";
t.resultMsg = "";
t.userBasicInfo = null;
t.extra = "";
t.newFlg = !1;
if ($util.Long) {
var r = new $util.Long(0, 0, !1);
t.serverTime = n.longs === String ? r.toString() : n.longs === Number ? r.toNumber() : r;
} else t.serverTime = n.longs === String ? "0" : 0;
}
null != e.resultCode && e.hasOwnProperty("resultCode") && (t.resultCode = e.resultCode);
null != e.resultMsg && e.hasOwnProperty("resultMsg") && (t.resultMsg = e.resultMsg);
null != e.userBasicInfo && e.hasOwnProperty("userBasicInfo") && (t.userBasicInfo = $root.login.common.UserBasicInfoP.toObject(e.userBasicInfo, n));
null != e.extra && e.hasOwnProperty("extra") && (t.extra = e.extra);
null != e.newFlg && e.hasOwnProperty("newFlg") && (t.newFlg = e.newFlg);
null != e.serverTime && e.hasOwnProperty("serverTime") && ("number" == typeof e.serverTime ? t.serverTime = n.longs === String ? String(e.serverTime) : e.serverTime : t.serverTime = n.longs === String ? $util.Long.prototype.toString.call(e.serverTime) : n.longs === Number ? new $util.LongBits(e.serverTime.low >>> 0, e.serverTime.high >>> 0).toNumber() : e.serverTime);
return t;
};
e.prototype.toJSON = function() {
return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
};
return e;
}();
e.CommonExtension = function() {
function e(e) {
if (e) for (var n = Object.keys(e), t = 0; t < n.length; ++t) null != e[n[t]] && (this[n[t]] = e[n[t]]);
}
e.prototype.id = "";
e.prototype.token = "";
e.create = function(n) {
return new e(n);
};
e.encode = function(e, n) {
n || (n = $Writer.create());
null != e.id && e.hasOwnProperty("id") && n.uint32(10).string(e.id);
null != e.token && e.hasOwnProperty("token") && n.uint32(18).string(e.token);
return n;
};
e.encodeDelimited = function(e, n) {
return this.encode(e, n).ldelim();
};
e.decode = function(e, n) {
e instanceof $Reader || (e = $Reader.create(e));
for (var t = void 0 === n ? e.len : e.pos + n, r = new $root.login.CommonExtension(); e.pos < t; ) {
var o = e.uint32();
switch (o >>> 3) {
case 1:
r.id = e.string();
break;

case 2:
r.token = e.string();
break;

default:
e.skipType(7 & o);
}
}
return r;
};
e.decodeDelimited = function(e) {
e instanceof $Reader || (e = new $Reader(e));
return this.decode(e, e.uint32());
};
e.verify = function(e) {
return "object" != typeof e || null === e ? "object expected" : null != e.id && e.hasOwnProperty("id") && !$util.isString(e.id) ? "id: string expected" : null != e.token && e.hasOwnProperty("token") && !$util.isString(e.token) ? "token: string expected" : null;
};
e.fromObject = function(e) {
if (e instanceof $root.login.CommonExtension) return e;
var n = new $root.login.CommonExtension();
null != e.id && (n.id = String(e.id));
null != e.token && (n.token = String(e.token));
return n;
};
e.toObject = function(e, n) {
n || (n = {});
var t = {};
if (n.defaults) {
t.id = "";
t.token = "";
}
null != e.id && e.hasOwnProperty("id") && (t.id = e.id);
null != e.token && e.hasOwnProperty("token") && (t.token = e.token);
return t;
};
e.prototype.toJSON = function() {
return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
};
return e;
}();
e.CommonBindingExtension = function() {
function e(e) {
if (e) for (var n = Object.keys(e), t = 0; t < n.length; ++t) null != e[n[t]] && (this[n[t]] = e[n[t]]);
}
e.prototype.id = "";
e.prototype.token = "";
e.prototype.idenfifyId = "";
e.create = function(n) {
return new e(n);
};
e.encode = function(e, n) {
n || (n = $Writer.create());
null != e.id && e.hasOwnProperty("id") && n.uint32(10).string(e.id);
null != e.token && e.hasOwnProperty("token") && n.uint32(18).string(e.token);
null != e.idenfifyId && e.hasOwnProperty("idenfifyId") && n.uint32(26).string(e.idenfifyId);
return n;
};
e.encodeDelimited = function(e, n) {
return this.encode(e, n).ldelim();
};
e.decode = function(e, n) {
e instanceof $Reader || (e = $Reader.create(e));
for (var t = void 0 === n ? e.len : e.pos + n, r = new $root.login.CommonBindingExtension(); e.pos < t; ) {
var o = e.uint32();
switch (o >>> 3) {
case 1:
r.id = e.string();
break;

case 2:
r.token = e.string();
break;

case 3:
r.idenfifyId = e.string();
break;

default:
e.skipType(7 & o);
}
}
return r;
};
e.decodeDelimited = function(e) {
e instanceof $Reader || (e = new $Reader(e));
return this.decode(e, e.uint32());
};
e.verify = function(e) {
return "object" != typeof e || null === e ? "object expected" : null != e.id && e.hasOwnProperty("id") && !$util.isString(e.id) ? "id: string expected" : null != e.token && e.hasOwnProperty("token") && !$util.isString(e.token) ? "token: string expected" : null != e.idenfifyId && e.hasOwnProperty("idenfifyId") && !$util.isString(e.idenfifyId) ? "idenfifyId: string expected" : null;
};
e.fromObject = function(e) {
if (e instanceof $root.login.CommonBindingExtension) return e;
var n = new $root.login.CommonBindingExtension();
null != e.id && (n.id = String(e.id));
null != e.token && (n.token = String(e.token));
null != e.idenfifyId && (n.idenfifyId = String(e.idenfifyId));
return n;
};
e.toObject = function(e, n) {
n || (n = {});
var t = {};
if (n.defaults) {
t.id = "";
t.token = "";
t.idenfifyId = "";
}
null != e.id && e.hasOwnProperty("id") && (t.id = e.id);
null != e.token && e.hasOwnProperty("token") && (t.token = e.token);
null != e.idenfifyId && e.hasOwnProperty("idenfifyId") && (t.idenfifyId = e.idenfifyId);
return t;
};
e.prototype.toJSON = function() {
return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
};
return e;
}();
e.common = function() {
var e = {};
e.UserBasicInfoP = function() {
function e(e) {
if (e) for (var n = Object.keys(e), t = 0; t < n.length; ++t) null != e[n[t]] && (this[n[t]] = e[n[t]]);
}
e.prototype.id = "";
e.prototype.token = "";
e.prototype.tokenL = "";
e.prototype.channelUid = "";
e.prototype.nickName = "";
e.prototype.sex = "";
e.prototype.phoneNum = "";
e.create = function(n) {
return new e(n);
};
e.encode = function(e, n) {
n || (n = $Writer.create());
null != e.id && e.hasOwnProperty("id") && n.uint32(10).string(e.id);
null != e.token && e.hasOwnProperty("token") && n.uint32(18).string(e.token);
null != e.tokenL && e.hasOwnProperty("tokenL") && n.uint32(26).string(e.tokenL);
null != e.channelUid && e.hasOwnProperty("channelUid") && n.uint32(34).string(e.channelUid);
null != e.nickName && e.hasOwnProperty("nickName") && n.uint32(42).string(e.nickName);
null != e.sex && e.hasOwnProperty("sex") && n.uint32(50).string(e.sex);
null != e.phoneNum && e.hasOwnProperty("phoneNum") && n.uint32(58).string(e.phoneNum);
return n;
};
e.encodeDelimited = function(e, n) {
return this.encode(e, n).ldelim();
};
e.decode = function(e, n) {
e instanceof $Reader || (e = $Reader.create(e));
for (var t = void 0 === n ? e.len : e.pos + n, r = new $root.login.common.UserBasicInfoP(); e.pos < t; ) {
var o = e.uint32();
switch (o >>> 3) {
case 1:
r.id = e.string();
break;

case 2:
r.token = e.string();
break;

case 3:
r.tokenL = e.string();
break;

case 4:
r.channelUid = e.string();
break;

case 5:
r.nickName = e.string();
break;

case 6:
r.sex = e.string();
break;

case 7:
r.phoneNum = e.string();
break;

default:
e.skipType(7 & o);
}
}
return r;
};
e.decodeDelimited = function(e) {
e instanceof $Reader || (e = new $Reader(e));
return this.decode(e, e.uint32());
};
e.verify = function(e) {
return "object" != typeof e || null === e ? "object expected" : null != e.id && e.hasOwnProperty("id") && !$util.isString(e.id) ? "id: string expected" : null != e.token && e.hasOwnProperty("token") && !$util.isString(e.token) ? "token: string expected" : null != e.tokenL && e.hasOwnProperty("tokenL") && !$util.isString(e.tokenL) ? "tokenL: string expected" : null != e.channelUid && e.hasOwnProperty("channelUid") && !$util.isString(e.channelUid) ? "channelUid: string expected" : null != e.nickName && e.hasOwnProperty("nickName") && !$util.isString(e.nickName) ? "nickName: string expected" : null != e.sex && e.hasOwnProperty("sex") && !$util.isString(e.sex) ? "sex: string expected" : null != e.phoneNum && e.hasOwnProperty("phoneNum") && !$util.isString(e.phoneNum) ? "phoneNum: string expected" : null;
};
e.fromObject = function(e) {
if (e instanceof $root.login.common.UserBasicInfoP) return e;
var n = new $root.login.common.UserBasicInfoP();
null != e.id && (n.id = String(e.id));
null != e.token && (n.token = String(e.token));
null != e.tokenL && (n.tokenL = String(e.tokenL));
null != e.channelUid && (n.channelUid = String(e.channelUid));
null != e.nickName && (n.nickName = String(e.nickName));
null != e.sex && (n.sex = String(e.sex));
null != e.phoneNum && (n.phoneNum = String(e.phoneNum));
return n;
};
e.toObject = function(e, n) {
n || (n = {});
var t = {};
if (n.defaults) {
t.id = "";
t.token = "";
t.tokenL = "";
t.channelUid = "";
t.nickName = "";
t.sex = "";
t.phoneNum = "";
}
null != e.id && e.hasOwnProperty("id") && (t.id = e.id);
null != e.token && e.hasOwnProperty("token") && (t.token = e.token);
null != e.tokenL && e.hasOwnProperty("tokenL") && (t.tokenL = e.tokenL);
null != e.channelUid && e.hasOwnProperty("channelUid") && (t.channelUid = e.channelUid);
null != e.nickName && e.hasOwnProperty("nickName") && (t.nickName = e.nickName);
null != e.sex && e.hasOwnProperty("sex") && (t.sex = e.sex);
null != e.phoneNum && e.hasOwnProperty("phoneNum") && (t.phoneNum = e.phoneNum);
return t;
};
e.prototype.toJSON = function() {
return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
};
return e;
}();
return e;
}();
return e;
}();

var http_proto = $root;

window.http_proto = http_proto;