"use strict";

var tpfgamechannel = function() {
this.platGameId = 30001;
this.littleEndian = !1;
this.gameMsgVersion = 1;
this.protoChannel = null;
this.gameProtoHead = new tpfgameprotohead();
this.handlers = {};
tpfgamechannel.prototype.setGameMsgVersion = function(e) {
this.gameMsgVersion = e;
};
tpfgamechannel.prototype.attach = function(e) {
var t = this;
this.protoChannel = e;
this.protoChannel.getProtoProxy().registProtoHandler(this.platGameId, function(e, a) {
var n = ByteBuffer.wrap(e, "binary", t.littleEndian), o = n.readUint16();
t.gameProtoHead.decode(n);
var r = t.gameProtoHead.gameMsgBodyLen;
if (a < r + o + 2) console.error("length error!"); else {
var s = n.readBytes(r), i = new Uint8Array(s.buffer, s.offset, r), g = t.handlers[t.gameProtoHead.gameMsgId];
null != g ? g(t.gameProtoHead.gameMsgId, i) : console.warn("can not find game msg handler,msgId:" + t.gameProtoHead.gameMsgId);
}
});
};
tpfgamechannel.prototype.detach = function() {
this.protoChannel.getProtoProxy().unregistProtoHandler(this.platGameId);
this.protoChannel = null;
};
tpfgamechannel.prototype.registGameProtoHandler = function(e, t) {
this.handlers[e] = t;
};
tpfgamechannel.prototype.unregistGameProtoHandler = function(e) {
this.handlers[e] = handler;
};
tpfgamechannel.prototype.send = function(e, t, a) {
var n = (a = t.byteLength) + this.gameProtoHead.getHeadLen() + 2, o = new ByteBuffer(n, this.littleEndian);
o.writeUint16(this.gameProtoHead.getHeadLen());
this.gameProtoHead.gameMsgId = e;
this.gameProtoHead.gameMsgVersion = this.gameMsgVersion;
this.gameProtoHead.gameMsgEncryptType = 0;
this.gameProtoHead.gameMsgBodyLen = a;
this.gameProtoHead.encode(o);
o.writeBytes(t, "binary");
this.protoChannel.send(this.platGameId, o.view);
};
};

window.tpfgamechannel = tpfgamechannel;