"use strict";

function ProtoChannel() {
this.client = new WsClient();
this.protoProxy = new ProtoProxy();
this.evtHandler = {};
ProtoChannel.prototype.create = function(o, t) {
var n = this;
this.client.setEvtHandler("on_open", function() {
var o = n.evtHandler.on_open;
null != o && o();
});
this.client.setEvtHandler("on_close", function(o) {
var t = n.evtHandler.on_close;
null != t && t(o);
});
this.client.setEvtHandler("on_message", function(o) {
n.protoProxy.dispatch(o);
});
this.client.setEvtHandler("on_error", function(o) {
var t = n.evtHandler.on_error;
null != t && t(o);
});
this.client.connect(o, t);
};
ProtoChannel.prototype.close = function() {
this.client.close();
};
ProtoChannel.prototype.setEventHandler = function(o, t) {
this.evtHandler[o] = t;
};
ProtoChannel.prototype.send = function(o, t) {
var n = this.protoProxy.encode(o, t);
this.client.send(n.buffer);
};
ProtoChannel.prototype.getProtoProxy = function() {
return this.protoProxy;
};
ProtoChannel.prototype.debugTest = function(o, t) {
console.log("ProtoChannel.debug----\x3e");
var n = this.protoProxy.encode(o, t);
console.log(n);
this.protoProxy.dispatch(n.buffer);
};
}

window.ProtoChannel = ProtoChannel;