"use strict";

var tpfbattle = function(t, e) {
this.protoChannel = t;
this.eventHandler = e;
this.gameEventHandler = {};
this.gameProtoHead = new tpfgameprotohead();
this.uid = 0;
this.playerId = 0;
this.tblToken = "";
this.tblId = 0;
this.tableUrl = "";
this.gameId = 0;
this.gameMsgVersion = 1;
this.littleEndian = !1;
this.isLogined = !1;
var a = this;
this.protoChannel.getProtoProxy().registProtoHandler(battle_proto.Battle.Base.GameMsgIdDef.Msg_S2C_LoginGameRspID, function(t, e) {
var o = battle_proto.Battle.Login.LoginGameRsp.decode(t, e);
a._onLoginRsp(o);
});
this.protoChannel.getProtoProxy().registProtoHandler(battle_proto.Battle.Base.GameMsgIdDef.Msg_S2C_UploadGameScheduleNotifyID, function(t, e) {
var o = battle_proto.Battle.Game.UploadGameScheduleNotify.decode(t, e);
a._onUploadGameScheduleNotify(o);
});
this.protoChannel.getProtoProxy().registProtoHandler(battle_proto.Battle.Base.GameMsgIdDef.Msg_S2C_PrepareFinishNotifyID, function(t, e) {
var o = battle_proto.Battle.Game.PrepareFinish.decode(t, e);
a._onPrepareFinishNotify(o);
});
this.protoChannel.getProtoProxy().registProtoHandler(battle_proto.Battle.Base.GameMsgIdDef.Msg_S2C_StartGameNotifyID, function(t, e) {
var o = battle_proto.Battle.Game.StartGameNotify.decode(t, e);
a._onStartGameNotify(o);
});
this.protoChannel.getProtoProxy().registProtoHandler(battle_proto.Battle.Base.GameMsgIdDef.Msg_S2C_GameOverNotifyID, function(t, e) {
var o = battle_proto.Battle.Game.GameOverNotify.decode(t, e);
a._onGameOverNotify(o);
});
this.protoChannel.getProtoProxy().registProtoHandler(battle_proto.Battle.Base.GameMsgIdDef.Msg_S2C_NotifyMsgID, function(t, e) {
var o = battle_proto.Battle.Game.NotifyMsg.decode(t, e), n = o.tblId;
if (n == a.tblId) {
var r = ByteBuffer.wrap(o.msgContent, "binary", a.littleEndian), i = r.readUint16();
a.gameProtoHead.decode(r);
var s = a.gameProtoHead.gameMsgBodyLen;
if (o.msgContent.byteLength < s + i + 2) console.error("length error!"); else {
var l = r.readBytes(s), d = new Uint8Array(l.buffer, l.offset, s);
a._onNotifyMsg(o.playerId, n, d, a.gameProtoHead.gameMsgId);
}
} else console.error("tableId is error !");
});
tpfbattle.prototype.setGameMsgVersion = function(t) {
this.gameMsgVersion = t;
};
tpfbattle.prototype.setGameEventHandler = function(t, e) {
this.gameEventHandler[t] = e;
};
tpfbattle.prototype._heartBeat = function(t) {
var e = battle_proto.Battle.Login.HeartBeat.create({
timeStamp: t
}), a = battle_proto.Battle.Login.HeartBeat.encode(e).finish();
this.protoChannel.send(battle_proto.Battle.Base.GameMsgIdDef.Msg_COM_HeartBeat, a);
};
tpfbattle.prototype.initBattle = function(t) {
if (null != t) {
this.tableUrl = t.url;
this.tblToken = t.tblToken;
this.tblId = t.tblId;
this.gameId = t.gameId;
this.playerId = t.playerId;
} else {
this.tableUrl = "";
this.tblToken = "";
this.tblId = "";
this.playerId = "";
}
};
tpfbattle.prototype.login = function() {
this.isLogined = !1;
var t = battle_proto.Battle.Login.LoginGameReq.create({
gameId: this.gameId,
playerId: this.playerId,
tblId: this.tblId,
tblToken: this.tblToken
}), e = battle_proto.Battle.Login.LoginGameReq.encode(t).finish();
this.protoChannel.send(battle_proto.Battle.Base.GameMsgIdDef.Msg_C2S_LoginGameReqID, e);
};
tpfbattle.prototype.updateSchedule = function(t) {
if (0 != this.isLogined) {
var e = battle_proto.Battle.Game.UploadGameSchedule.create({
schedule: t
}), a = battle_proto.Battle.Game.UploadGameSchedule.encode(e).finish();
this.protoChannel.send(battle_proto.Battle.Base.GameMsgIdDef.Msg_C2S_UploadGameScheduleID, a);
}
};
tpfbattle.prototype.ready = function(t) {
var e = battle_proto.Battle.Game.Ready.create({
content: t
}), a = battle_proto.Battle.Game.Ready.encode(e).finish();
this.protoChannel.send(battle_proto.Battle.Base.GameMsgIdDef.Msg_C2S_RedayID, a);
};
tpfbattle.prototype.broadcast = function(t, e, a) {
var o = t.byteLength, n = o + this.gameProtoHead.getHeadLen() + 2, r = new ByteBuffer(n, this.littleEndian);
r.writeUint16(this.gameProtoHead.getHeadLen());
this.gameProtoHead.gameMsgId = a;
this.gameProtoHead.gameMsgVersion = this.gameMsgVersion;
this.gameProtoHead.gameMsgEncryptType = 0;
this.gameProtoHead.gameMsgBodyLen = o;
this.gameProtoHead.encode(r);
r.writeBytes(t, "binary");
var i = battle_proto.Battle.Game.BroadCast.create({
msgContent: r.view,
excepteSelf: e
}), s = battle_proto.Battle.Game.BroadCast.encode(i).finish();
this.protoChannel.send(battle_proto.Battle.Base.GameMsgIdDef.Msg_C2S_BroadCastID, s);
};
tpfbattle.prototype.finish = function(t, e) {
this.isLogined = !1;
var a = battle_proto.Battle.Game.GameFinish.create({
battleReason: e,
reasonStr: "",
battleRet: t
}), o = battle_proto.Battle.Game.GameFinish.encode(a).finish();
this.protoChannel.send(battle_proto.Battle.Base.GameMsgIdDef.Msg_C2S_GameFinishID, o);
};
tpfbattle.prototype.getWay = function() {
this.isLogined = !1;
var t = battle_proto.Battle.Game.GetWay.create({}), e = battle_proto.Battle.Game.GetWay.encode(t).finish();
this.protoChannel.send(battle_proto.Battle.Base.GameMsgIdDef.Msg_C2S_GetWay, e);
};
tpfbattle.prototype._onLoginRsp = function(t) {
if (0 == t.retCode) {
this.isLogined = !0;
this._onHeartbeatTimer();
} else this.isLogined = !1;
this.gameEventHandler.on_login_rsp(t.retCode);
};
tpfbattle.prototype._onHeartbeatTimer = function() {
var t = this;
if (1 == this.isLogined) {
t._heartBeat(0);
setTimeout(function() {
t._onHeartbeatTimer();
}, 1e4);
}
};
tpfbattle.prototype._onUploadGameScheduleNotify = function(t) {
this.gameEventHandler.on_update_schedule(t.playerScheduleList);
};
tpfbattle.prototype._onPrepareFinishNotify = function(t) {
this.gameEventHandler.on_prepare_finished(t);
};
tpfbattle.prototype._onStartGameNotify = function(t) {
this.gameEventHandler.on_game_start(t.content);
};
tpfbattle.prototype._onGameOverNotify = function(t) {
this.isLogined = !1;
this.gameEventHandler.on_game_end(t);
};
tpfbattle.prototype._onNotifyMsg = function(t, e, a, o) {
this.gameEventHandler.on_game_msg(t, e, a, o);
};
};

window.tpfbattle = tpfbattle;